Ask Your Question
1

Ubuntu 10.04 (Lucid) Install of Unstable Fails

asked 2011-11-23 05:59:51 -0500

sdavies gravatar image

updated 2014-01-28 17:10:51 -0500

ngrennan gravatar image

When I try to install unstable-desktop-full, by running

sudo apt-get install ros-unstable-desktop-full

on Ubuntu 10.04 (Lucid Lynx), I get the following output:

The following packages have unmet dependencies:
  ros-unstable-desktop-full: Depends: ros-unstable-vision-opencv (= 1.6.1-s1313731218~lucid) but it is not going to be installed
                         Depends: ros-unstable-image-pipeline (= 1.5.2-s1313736766~lucid) but it is not going to be installed
                         Depends: ros-unstable-image-transport-plugins (= 1.4.1-s1313731295~lucid) but it is not going to be installed
E: Broken packages

Any ideas why?

edit retag flag offensive close merge delete

Comments

For the same reasons, I am unable to run the following tutorial: http://www.ros.org/wiki/turtlebot_simulator/Tutorials/Installing%20TurtleBot%20Simulator
sdavies gravatar image sdavies  ( 2011-11-23 06:19:13 -0500 )edit
Do you really need the bleeding edge unstable version? There is a perfectly fine electric release available as well... :-)
roehling gravatar image roehling  ( 2011-11-23 09:03:03 -0500 )edit
@sdavies The tutorial was out of date. I've updated it to use electric
tfoote gravatar image tfoote  ( 2011-11-23 11:07:35 -0500 )edit
Thanks, this fixed the problem I was having.
sdavies gravatar image sdavies  ( 2011-11-25 03:04:56 -0500 )edit

1 Answer

Sort by ยป oldest newest most voted
3

answered 2011-11-23 07:39:17 -0500

fergs gravatar image

While this may be an issue with OpenCV, just a heads up that the ROS team has stated that unstable will be very unstable during this early stage of development as low-level dependencies get a major overhaul for the upcoming Fuerte release. It is probably better to install the Electric release for most users.

edit flag offensive delete link more

Comments

Ok, thanks. After tfoote fixed the above tutorial, I no longer need to use unstable.
sdavies gravatar image sdavies  ( 2011-11-25 03:06:15 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2011-11-23 05:59:51 -0500

Seen: 323 times

Last updated: Nov 23 '11